KDED4(8)

NAME
kded4 - Servidor do KDE - dispara as atualizações da base de dados Sycoca quando for necessário.

SINTAXE

kded4 [--help] [Opções genéricas] [Opções do Qt] [Opções do KDE] [--check]

DESCRIçãO

O kded4 é responsável por criar o arquivo 'sycoca', i.e., a 'cache' binária de tipos de serviços, tipos MIME e serviços para um determinado usuário.

Ele monitora as pastas que contêm arquivos '.desktop'. Quando for adicionado/removido um arquivo, ele espera cerca de 5 segundos (para o caso de ser uma série de atualizações) e invoca depois o kbuildsycoca4 para atualizar o sycoca.

Verifica os arquivos de atualizações recém instalados, i.e., os arquivos *.upd que são usados para atualizar os arquivos de configuração dos usuários quando os formatos dos arquivos de configuração mudam. O kconf_update é lançado para efetuar as atualizações.

Quando o nome da máquina muda, ele irá efetuar as alterações necessárias no ambiente do KDE e no servidor de X para permitir uma operação adequada e contínua, invocando o kdontchangethehostname para efetuar as alterações.

Estas tarefas também são sempre efetuadas na inicialização do 'kded4' para garantir que a configuração do usuário esteja atualizada.

Também é responsável pela invocação dos módulos sob demanda e ativados pelo 'kded4', como:

Pré-carregamento do navegador Konqueror
    Reduz o tempo de inicialização do Konqueror.

Vigilante de pastas
    Vigia as alterações nas pastas.

Detecção do hardware
    Fornece uma interface de usuário para os eventos do hardware.

Política de certificados SSL
    Fornece a política configurada pelo usuário de certificados SSL às aplicações.

Configuração do proxy de rede
    Configuração automática do proxy.

Cache de senhas
    A cache temporária das senhas; por exemplo: uma página Web com autenticação por HTTP não lhe pede de novo a sua senha para todas as ligações e imagens na página. Estas senhas são descartadas ao sair do KDE (ao contrário do KWallet)

Política de som
    Oferece a política do sistema de som às aplicações.

Favicons
    Guarda os ícones das páginas Web.

Gerenciamento de tela
    Gerencia as telas e saídas de vídeo.

Repositório de 'cookies'
    Guarda os 'cookies' da rede.

Monitor de rede
    Faz o rastreamento da rede e atualiza as listagens de pastas do 'KIO slave' network:/.

Módulo do Subversion
    Oferece várias ações do Subversion ao gerenciador de arquivos e às outras aplicações.

Status da rede
    Rastreia o estado das interfaces de rede e fornece notificações para as aplicações que usam a rede.

Servidor do 'Write'
    Monitora as mensagens dos usuários locais que são enviadas com o write(1) ou o wall(1).

Monitor da área de notificações
    Mantém um registro das aplicações que desejam usar a área de notificações baseada em D-Bus.

KMixD
    Serviço de mistura de som KMixD

Servidor da bandeja do sistema
    Mantém um registro das aplicações que desejam usar a bandeja do sistema baseada em D-Bus.

Servidor do teclado
    Faz o rastreamento das alterações do teclado (novo teclado, mudança de disposição)

Notificador da alteração de URLs remotos
    Fornece notificações de mudança nas pastas de rede

Gerenciador de atividades
    A infraestrutura do gerenciador de atividades do Nepomuk

Monitora as alterações de gerenciamento de tela
    Notifica como a tela foi rodada (quando possível)

Notificação de espaço livre
    Avisa quando estiver ficando sem espaço na sua pasta pessoal.

Montagem automática dos dispositivos removíveis
    Monta automaticamente os dispositivos conforme necessário.

Módulo de pesquisa do Nepomuk
    Módulo auxiliar do KIO para garantir as atualizações automáticas das listagens de pesquisa do Nepomuk.

Gerenciamento de energia
    Gerenciamento e notificações de energia do CPU, da tela e da bateria.

Servidor de controle remoto do KDE
    Gerencia os dados recebidos de comandos de controle remoto

Gerenciador de notificação do status
    Faz o gerenciamento dos serviços que fornecem interface de notificação do estado.

Monitor de descoberta de serviços DNS-SD
    Monitora a rede à procura de serviços DNS-SD.

Ejeção de unidade
    Desmonta e ejeta automaticamente as unidades quando o seu botão de ejeção é pressionado.

Fuso horário
    Fornece o acesso aos fusos-horários do sistema nas aplicações.

Ações de entrada
    Serviço de ações de entrada que efetua ações configuradas ao pressionar as teclas.

Os módulos iniciais podem ser ativados ou desativados com o systemsettings, em Administração do sistema > Inicialização e desligamento > Gerenciador de serviços.

OPçõES GENéRICAS

--author
    Mostra informações sobre o autor.

--help
    Mostra a ajuda sobre as opções.

--help-all
    Mostra todas as opções.

--help-kde
    Mostra opções específicas do KDE.

--help-qt
    Mostra as opções específicas do Qt.

--license
    Mostra informações sobre a licença.

-v --version
    Exibe informações sobre a versão

OPçõES DO APLICATIVO

--check
    Verifica a base de dados do Sycoca apenas uma vez.

UTILIZAçãO

Se o kded4 for invocado sem parâmetros e já estiver em execução, mostrará a mensagem:

    «KDE Daemon (kded) already running». (O Servidor do KDE (kded) já está em execução).

Se o kded4 for invocado com o kded4 --check, ele então irá atualizar a base de dados do KDE com o kbuildsycoca4.

VEJA TAMBéM

opções-do-kde(7), opções-do-qt(7), kbuildsycoca4(8)

PROBLEMAS

Ainda existem provavelmente muitos erros. Use o bugs.kde.org[1] para comunicá-los.

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org